﻿Imports System.Net.Sockets

''' <summary>
''' Encapsulates a client and data transmission.
''' </summary>
''' <remarks></remarks>
Public Structure ReceivedData
    ''' <summary>
    ''' Gets the client associated with the data.
    ''' </summary>
    ''' <remarks></remarks>
    Public ReadOnly ClientInfo As ClientInfo
    ''' <summary>
    ''' Gets the data of the transmission.
    ''' </summary>
    ''' <remarks></remarks>
    Public ReadOnly Data() As Byte

    Public Sub New(client As ClientInfo, requestData() As Byte)
        ClientInfo = client
        Data = requestData
    End Sub
End Structure
