﻿
Public Class WinsockErrorEventArgs
    Inherits EventArgs

    ''' <summary>
    ''' The exception associated with this error.
    ''' </summary>
    ''' <remarks></remarks>
    Public ReadOnly Exception As Exception

    ''' <summary>
    ''' The WinsockErrorCategory of this error.
    ''' </summary>
    ''' <remarks></remarks>
    Public ReadOnly Category As WinsockErrorCategory

    Public Sub New(ex As Exception, errorCategory As WinsockErrorCategory)
        Exception = ex
        Category = errorCategory
    End Sub
End Class
